## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XNodeSetBase Class Reference

Class to hold XPath return types. More...

`#include <XNodeSetBase.hpp>`

Inheritance diagram for XNodeSetBase

Collaboration diagram for XNodeSetBase:

List of all members.

## Public Types

- typedef size_t size_type

## Public Methods

- virtual ~XNodeSetBase ()
- virtual XNodeSetBase* clone (void* theAddress = 0) const = 0
    Clone the instance. More...
- virtual XalanDOMString getTypeString () const
    Given a request type, return the equivalent string. More...
- virtual double num () const
    Cast result object to a number. More...
- virtual bool boolean () const
    Cast result object to a boolean. More...
- virtual const XalanDOMString& str () const
    Cast result object to a string. More...
- virtual void str ( FormatterListener& formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance. More...
- virtual void str (XalanDOMString& theBuffer) const
    Append the string value directly a string. More...
- virtual double stringLength () const
    Get the length of the string value of the instance.. More...
- virtual const XalanDocumentFragment& rtree () const
    Cast result object to a result tree fragment. More...
- virtual const NodeRefListBase& nodeset () const = 0
    Cast result object to a nodelist. More...
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback& theCallbackObject)
    Process a callback request for preferred type information. More...
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback& theCallbackObject) const
    Process a callback request for preferred type information. More...
- virtual XalanNode* item (size_type index) const = 0
- virtual size_type getLength () const = 0

## Protected Methods

- XNodeSetBase ()
    Create an XNodeSetBase.
- XNodeSetBase (const XNodeSetBase& source)
    Create an XNodeSetBase from another. More...
- void clearCachedValues ()

## Detailed Description

Class to hold XPath return types.

## Member Typedef Documentation

typedef size_t XNodeSetBase::size_type

## Constructor & Destructor Documentation

virtual XNodeSetBase::~XNodeSetBase ( | )`[virtual]`

XNodeSetBase::XNodeSetBase ( | )`[protected]`

Create an XNodeSetBase.

XNodeSetBase::XNodeSetBase ( | const XNodeSetBase & source )`[protected]`

Create an XNodeSetBase from another.

Parameters:

  source | object to copy

## Member Function Documentation

virtual void XNodeSetBase::ProcessXObjectTypeCallback ( | XObjectTypeCallback & theCallbackObject ) const`[virtual]`

Process a callback request for preferred type information.

Parameters:

  theCallbackObject | object to call back

Reimplemented from XObject.

virtual void XNodeSetBase::ProcessXObjectTypeCallback ( | XObjectTypeCallback & theCallbackObject )`[virtual]`

Process a callback request for preferred type information.

Parameters:

  theCallbackObject | object to call back

Reimplemented from XObject.

virtual bool XNodeSetBase::boolean ( | ) const`[virtual]`

Cast result object to a boolean.

Returns:
  boolean value

Reimplemented from XObject.

void XNodeSetBase::clearCachedValues ( | )`[protected]`

virtual XNodeSetBase* XNodeSetBase::clone ( | void * theAddress = 0 ) const`[pure virtual]`

Clone the instance.

Parameters:

  If | theAddress is not null, the XObject will clone itself into that address.

Returns:
  a clone of the instance.

Reimplemented from XObject.

Reimplemented in XNodeSet, XNodeSetNodeProxy, and XSpan.

virtual size_type XNodeSetBase::getLength ( | ) const`[pure virtual]`

Reimplemented in XNodeSet, and XNodeSetNodeProxy.

virtual XalanDOMString XNodeSetBase::getTypeString ( | ) const`[virtual]`

Given a request type, return the equivalent string.

For diagnostic purposes.

Returns:
  string for type

Reimplemented from XObject.

virtual XalanNode* XNodeSetBase::item ( | size_type index ) const`[pure virtual]`

Reimplemented in XNodeSet, and XNodeSetNodeProxy.

virtual const NodeRefListBase& XNodeSetBase::nodeset ( | ) const`[pure virtual]`

Cast result object to a nodelist.

Returns:
  node list

Reimplemented from XObject.

Reimplemented in XNodeSet, and XNodeSetNodeProxy.

virtual double XNodeSetBase::num ( | ) const`[virtual]`

Cast result object to a number.

Returns:
  numeric value

Reimplemented from XObject.

virtual const XalanDocumentFragment& XNodeSetBase::rtree ( | ) const`[virtual]`

Cast result object to a result tree fragment.

Returns:
  result tree fragment

Reimplemented from XObject.

virtual void XNodeSetBase::str ( | XalanDOMString & theBuffer ) const`[virtual]`

Append the string value directly a string.

Parameters:

  theBuffer | The buffer for the data

Reimplemented from XObject.

virtual void XNodeSetBase::str ( | FormatterListener & formatterListener,
| MemberFunctionPtr function ) const`[virtual]`

Send the string value to a FormatterListener instance.

Parameters:

  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call

Reimplemented from XObject.

virtual const XalanDOMString& XNodeSetBase::str ( | ) const`[virtual]`

Cast result object to a string.

Returns:
  string value

Reimplemented from XObject.

virtual double XNodeSetBase::stringLength ( | ) const`[virtual]`

Get the length of the string value of the instance..

Returns:
  The length of the string value

Reimplemented from XObject.

The documentation for this class was generated from the following file:

- XNodeSetBase.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.